﻿Public Class ReportFunctions
    Public Shared Function GetStatus(ByVal StatusType As String, ByVal StatusCondition As Decimal, ByVal _
  StatusThreshold As Decimal, ByVal AlertThreshold As Decimal) As String
        Dim ReturnValue As String = Nothing
        Select Case StatusType
            Case "Color"
                Select Case StatusCondition
                    Case Is < AlertThreshold
                        ReturnValue = "Red"
                    Case Is > StatusThreshold
                        ReturnValue = "Green"
                    Case Else
                        ReturnValue = "Black"
                End Select
            Case "KPI"
                Select Case StatusCondition
                    Case Is < AlertThreshold
                        ReturnValue = "redkpi"
                    Case Is > StatusThreshold
                        ReturnValue = "greenkpi"
                    Case Else
                        ReturnValue = Nothing
                End Select
        End Select
        Return ReturnValue
    End Function

End Class
