﻿Imports System
Imports System.Management
Imports System.IO

Module Module1

    Sub Main()
        Const WmiNamespace As String = _
        "\\localhost\root\Microsoft\SqlServer\ReportServer\RS_MSSQLSERVER\v11\Admin"
        Const WmiRSClass As String = _
        "\\localhost\root\Microsoft\SqlServer\ReportServer\RS_MSSQLSERVER\v11\admin:MSReportServer_ConfigurationSetting"
        Dim serverClass As ManagementClass
        Dim scope As ManagementScope
        scope = New ManagementScope(WmiNamespace)
        'Connect to the Reporting Services namespace.
        scope.Connect()
        'Create the server class.
        serverClass = New ManagementClass(WmiRSClass)
        'Connect to the management object.
        serverClass.Get()
        If serverClass Is Nothing Then Throw New Exception("No class found")
        'Loop through the instances of the server class.
        Dim instances As ManagementObjectCollection = _
        serverClass.GetInstances()
        Dim instance As ManagementObject
        For Each instance In instances
            Console.Out.WriteLine("Instance Detected")
            Dim instProps As PropertyDataCollection = _
            instance.Properties
            Dim prop As PropertyData
            Console.WriteLine("Property Name".PadRight(35) + "Value")
            For Each prop In instProps
                Dim name As String = prop.Name
                Dim val As Object = prop.Value
                Console.Out.Write(prop.Name.PadRight(35))
                If val Is Nothing Then
                    Console.Out.WriteLine("<null>")
                Else
                    Console.Out.WriteLine(val.ToString())
                End If
            Next
        Next
        Console.WriteLine("Press any key to continue")
        Console.ReadKey()

    End Sub

End Module
