﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Rs2012.CS.Extensions
{
    public class ReportFunctions
    {
        public static string GetStatus(string StatusType, decimal StatusCondition, decimal StatusThreshold, decimal AlertThreshold)
        {

            switch (StatusType)
            {
                case "Color":
                    {
                        if (StatusCondition < AlertThreshold)
                        {
                            return "Red";
                        }
                        else if (StatusCondition > StatusThreshold)
                        {
                            return "Green";
                        }
                        else
                        {
                            return "Black";
                        }

                    };
                case "KPI":
                    {
                        if (StatusCondition < AlertThreshold)
                        {
                            return "redkpi";
                        }
                        else if (StatusCondition > StatusThreshold)
                        {
                            return "greenkpi";
                        }
                        else
                        {
                            return null;
                        }
                    };
            }
            return null;

        }
    }
}
